%global srcname precis_i18n
%global gitcommit 1498def50914b8d4f670874cc282072790619399

Name:           python-%{srcname}
Version:        1.0.1
Release:        9.20200622git1498def50914%{?dist}
Summary:        Python library for internationalized usernames and passwords

License:        MIT
URL:            https://github.com/byllyfish/precis_i18n
#Source0:        https://github.com/byllyfish/precis_i18n/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
Source0:	https://github.com/byllyfish/precis_i18n/archive/%{gitcommit}.tar.gz
# Support Unicode 12.1 for Python 3.8:
Source1:	https://raw.githubusercontent.com/byllyfish/precis_i18n/7b6987e206881b002ddcc87dde16f978c080eedd/test/derived-props-12.1.txt
# Support Unicode 13.0 for Python 3.9
# File generated by running "python3 test/test_derived_props.py > derived-props-13.0.txt" with Python 3.9:
Source2:	derived-props-13.0.txt

Patch0001:	0001-factory-replace-with-_-in-profile-names.patch

BuildArch:      noarch

%global desc If you want your application to accept Unicode user names and passwords, you\
must be careful in how you validate and compare them. The PRECIS framework\
makes internationalized user names and passwords safer for use by applications.\
PRECIS profiles transform Unicode strings into a canonical form, suitable for\
comparison.\
\
This Python module implements the PRECIS Framework as described in:\
\
  PRECIS Framework: Preparation, Enforcement, and Comparison of\
  Internationalized Strings in Application Protocols (RFC 8264)\
\
  Preparation, Enforcement, and Comparison of Internationalized Strings\
  Representing Usernames and Passwords (RFC 8265)\
\
  Preparation, Enforcement, and Comparison of Internationalized Strings\
  Representing Nicknames (RFC 8266)

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%prep
#autosetup -p1 -n %{srcname}-%{version}
%autosetup -p1 -n %{srcname}-%{gitcommit}
cp -p %{SOURCE1} %{SOURCE2} test/

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst CHANGELOG.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-9.20200622git1498def50914
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 22 2020 Michal Schmidt <mschmidt@redhat.com> - 1.0.1-8.20200622git1498def50914
- Use a snapshot of the current current upstream git.
- Add derived-props-13.0.txt for Python 3.9.
- Replace ":" with "_" in profile names. (rhbz#1792953)

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-7
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 22 2019 Michal Schmidt <mschmidt@redhat.com> - 1.0.1-2
- Support Unicode 12.1 for Python 3.8.

* Mon Jul 22 2019 Michal Schmidt <mschmidt@redhat.com> - 1.0.1-1
- Upstream release 1.0.1.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Michal Schmidt <mschmidt@redhat.com> - 1.0-2
- In the package description spell "Unicode" with uppercase U.

* Wed Jan 23 2019 Michal Schmidt <mschmidt@redhat.com> - 1.0-1
- Initial package.
